com.microfocus.zserver.zexplorer

## Class ZExplorerPropertyProviderUtility

- java.lang.Object
- - com.microfocus.zserver.zexplorer.ZExplorerPropertyProviderUtility

-     public class ZExplorerPropertyProviderUtility
      extends java.lang.Object

  This class is used to store the created `IZExplorerPropertyProvider`.

  If a `IZExplorerPropertyProvider` is added to this class and contains a `IZExplorerPropertyControlProvider`, then the `IZExplorerPropertyControlProvider` will be called to add the `Control`s to the Server Settings property page of any zExplorer subsystem.

  Copyright Micro Focus GmbH.

  Author:
    NicolasP

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addZExplorerPropertyProvider(IZExplorerPropertyProvider pPropertyProvider)` Adds `IZExplorerPropertyProvider` to the list of registered property providers.
    `java.util.Collection<IZExplorerProperty>` | `getAllProperties()` Returns all `IZExplorerProperty`s that are registered through the `IZExplorerPropertyProvider`s.
    `static ZExplorerPropertyProviderUtility` | `getInstance()` Singleton.
    `java.util.List<IZExplorerPropertyProvider>` | `getProviders()` Returns all registered `IZExplorerPropertyProvider`s.
    `java.util.Collection<IZExplorerPropertyControlProvider>` | `getRegisteredControlProviders()` Returns all registered `IZExplorerPropertyControlProvider`s.
    `IZExplorerProperty` | `getZExplorerProperty(java.lang.String pPropertID)` Searches for a `IZExplorerProperty` with a specific property ID and returns it.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ZExplorerPropertyProviderUtility getInstance()

      Singleton.
      Returns:
        an instance of `ZExplorerPropertyProviderUtility`

    - #### getProviders

          public java.util.List<IZExplorerPropertyProvider> getProviders()

      Returns all registered `IZExplorerPropertyProvider`s. This contains the `IZExplorerPropertyProvider`s created through the 'com.microfocus.zexplorer.zserver.propertyprovider' extension point.
      Returns:
        all registered `IZExplorerPropertyProvider`s.

    - #### getRegisteredControlProviders

          public java.util.Collection<IZExplorerPropertyControlProvider> getRegisteredControlProviders()

      Returns all registered `IZExplorerPropertyControlProvider`s. This method returns the `IZExplorerPropertyControlProvider`s set in the `IZExplorerPropertyProvider`s.
      Returns:
        a `Collection` of `IZExplorerPropertyControlProvider` .

    - #### getAllProperties

          public java.util.Collection<IZExplorerProperty> getAllProperties()

      Returns all `IZExplorerProperty`s that are registered through the `IZExplorerPropertyProvider`s.
      Returns:
        returns a `Collection` of `IZExplorerProperty`.

    - #### addZExplorerPropertyProvider

          public void addZExplorerPropertyProvider(IZExplorerPropertyProvider pPropertyProvider)

      Adds `IZExplorerPropertyProvider` to the list of registered property providers.
      Parameters:
        `pPropertyProvider` - the `IZExplorerPropertyProvider` that should be added.

    - #### getZExplorerProperty

          public IZExplorerProperty getZExplorerProperty(java.lang.String pPropertID)

      Searches for a `IZExplorerProperty` with a specific property ID and returns it.
      Parameters:
        `pPropertID` - the ID of the `IZExplorerProperty`
      Returns:
        the `IZExplorerProperty` or `null` if no `IZExplorerProperty` could be found.

Copyright © 2015 Micro Focus GmbH. All rights reserved.